Summary:  DHIS client, meant to update DNS records dynamically.
Summary(ja):  DHIS クライアント, DNS のデータを遠隔から動的に変更するツール
Name: dhid
Version: 5.1
Release: 0vl5
License: Distributable (BSD like)
Group: System Environment/Daemons
URL: http://www.dhis.org/
Source0: ftp://ftp.dhis.org/pub/dhis/%{name}-%{version}.tar.gz
Source1: rc.dhid
BuildRequires: gmp-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
dhid is the DHIS client daemon. After setting up with a DHIS provider,
each machine should run a dhid daemon (in background) in order to
update its DNS tables at the server.

%description -l ja
DHIS は、DNS のデータを遠隔から動的に変更するツールで、ダイヤルアップ等で
常時接続されていないマシンでも、接続時だけ DNS に登録することで、
ドメイン名を用いたサーバを立ち上げることを可能にするシステムです。
本パッケージはダイヤルアップ等で動的にインターネットに接続される
マシン上にインストールする DHIS クライアントです。

(DHIS サーバは dhisd パッケージです。)

%prep

%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 dhid $RPM_BUILD_ROOT/usr/sbin
install -m 755 genkeys $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhid
install -m 600 dhid.conf.sample $RPM_BUILD_ROOT/etc

%post 
/sbin/chkconfig --add dhid

%preun
if [ $1 = 0 ]; then
    /etc/rc.d/init.d/dhid stop > /dev/null 2>&1
    /sbin/chkconfig --del dhid
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYRIGHT INSTALL README WHATSNEW TODO
/usr/sbin/dhid
/usr/sbin/genkeys
%config /etc/rc.d/init.d/dhid
/etc/dhid.conf.sample


%changelog
* Sat Sep 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-0vl5
- rebuild with gmp 4.1.4

* Fri Mar 08 2002 Toru Sagami <sagami@vinelinux.org> 5.1-0vl4
- rebuild on current VineSeed
- initscript marked as config

* Sun Sep 30 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [5.1-0vl3]
- correct file attribute of documents

* Fri Sep 28 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [5.1-0vl1]
- update to 5.1

* Thu Aug 30 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [5.0-0vl3]
- move commands into /usr/sbin to start as daemon
- build on Vine 2.1.5

* Mon Aug 27 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [5.0-0vl2]
- rebuild on VineSeed

* Sun Aug 26 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [5.0-0vl1]
- update to 5.0

* Sat Aug 25 2001 KAJIKI Yoshihiro <kajiki@ylug.org> [4.0.2-0vl1]
- rebuild on Vine 2.1.5 based on the Owl River Company's RPM [4.0.2-1]
- modify spec file to rebuild as a common user
- add startup script

* Sat Dec 16 2000 R P Herrold ( herrold@owlriver.com )
- Initial build

